> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all device's history entries



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/devices/{deviceId}/histories
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/devices/{deviceId}/histories:
    get:
      tags:
        - Devices
      summary: Get all device's history entries
      operationId: publicGetDeviceHistories
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: deviceId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetDeviceHistoriesListResponseDto'
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  schemas:
    PublicGetDeviceHistoriesListResponseDto:
      type: object
      properties:
        items:
          description: List of device history entries
          type: array
          items:
            $ref: '#/components/schemas/PublicDeviceHistoryDto'
      required:
        - items
    PublicDeviceHistoryDto:
      type: object
      properties:
        id:
          type: number
          example: 123
        deviceId:
          type: number
          example: 321
        createdAt:
          type: string
          format: date-time
          example: '2017-07-21T17:32:28Z'
        changes:
          $ref: '#/components/schemas/DeviceHistoryChangesDto'
        comment:
          type: string
          example: Assigned to new employee
          nullable: true
      required:
        - id
        - deviceId
        - createdAt
        - changes
        - comment
    DeviceHistoryChangesDto:
      type: object
      properties:
        people:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PeopleResponseDto'
        status:
          example: decommissioned
          allOf:
            - $ref: '#/components/schemas/DeviceStatus'
        location1:
          type: string
          example: Tokyo
          nullable: true
        location2:
          type: string
          example: msb
          nullable: true
        assignmentStartDate:
          type: string
          format: date
          example: '2021-01-01'
          nullable: true
        assignmentEndDate:
          type: string
          format: date
          example: '2022-01-02'
          nullable: true
        comment:
          type: string
          example: Assigned to new employee
          nullable: true
      required:
        - people
        - status
        - location1
        - location2
        - assignmentStartDate
        - assignmentEndDate
        - comment
    PeopleResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        identityId:
          type: string
          nullable: true
          readOnly: true
          example: I3N5HB4B3G
        primaryEmail:
          type: string
          nullable: true
          readOnly: true
          example: foo@gmail.com
        displayName:
          type: string
          nullable: true
          readOnly: true
          example: Yamaha Honda
        avatar:
          type: string
          nullable: true
          readOnly: true
          example: avatar_url
        username:
          type: string
          nullable: true
          readOnly: true
          example: foo
        type:
          type: string
          readOnly: true
          example: employee
        status:
          type: string
          readOnly: true
          example: suspended
        managementType:
          readOnly: true
          example: managed
          allOf:
            - $ref: '#/components/schemas/ManagementType'
        employeeType:
          readOnly: true
          example: full_time_employee
          allOf:
            - $ref: '#/components/schemas/EmployeeType'
        employeeStatus:
          readOnly: true
          example: active
          allOf:
            - $ref: '#/components/schemas/EmployeeStatus'
        suspendedAt:
          type: string
          nullable: true
          readOnly: true
          example: '2021-07-13T19:15:40.000Z'
        createdAt:
          type: string
          nullable: true
          readOnly: true
          example: '2021-07-13T19:15:40.000Z'
        accounts:
          nullable: true
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/CompactPeopleAccountDto'
        mergedPeople:
          nullable: true
          readOnly: true
          example:
            - id: 1
              displayName: Ron Lee
              username: ron.lee
              primaryEmail: null
          type: array
          items:
            $ref: '#/components/schemas/MergedPeopleDto'
      required:
        - id
        - identityId
        - primaryEmail
        - displayName
        - avatar
        - username
        - type
        - status
        - managementType
        - employeeType
        - employeeStatus
        - suspendedAt
        - createdAt
        - accounts
        - mergedPeople
    DeviceStatus:
      type: string
      enum:
        - in_stock
        - pre_use
        - active
        - missing
        - malfunction
        - decommissioned
        - on_order
    ManagementType:
      type: string
      enum:
        - managed
        - external
        - system
        - unknown
        - unregistered
    EmployeeType:
      type: string
      enum:
        - board_member
        - full_time_employee
        - fixed_time_employee
        - temporary_employee
        - part_time_employee
        - secondment_employee
        - contract_employee
        - collaborator
        - group_address
        - shared_address
        - test_address
        - other
        - unknown
        - unregistered
    EmployeeStatus:
      type: string
      enum:
        - active
        - on_leave
        - draft
        - preactive
        - retired
        - untracked
    CompactPeopleAccountDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
          readOnly: true
          example: 1#foo
        serviceId:
          type: number
          nullable: true
          readOnly: true
          example: 42
        serviceUniqueName:
          type: string
          nullable: true
          readOnly: true
          example: github
        serviceName:
          type: string
          nullable: true
          readOnly: true
          example: GitHub
        workspaceName:
          type: string
          nullable: true
          readOnly: true
          example: mfi
        accountKey:
          type: string
          nullable: true
          readOnly: true
          example: foo@mfi.com
        serviceIsCustom:
          type: boolean
          nullable: true
          readOnly: true
          example: false
      required:
        - id
        - serviceId
        - serviceUniqueName
        - serviceName
        - workspaceName
        - accountKey
        - serviceIsCustom
    MergedPeopleDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        primaryEmail:
          type: string
          nullable: true
          readOnly: true
          example: foo@gmail.com
        username:
          type: string
          nullable: true
          readOnly: true
          example: foo
        displayName:
          type: string
          nullable: true
          readOnly: true
          example: Yamaha Honda
      required:
        - id
        - primaryEmail
        - username
        - displayName
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````